### Method

# Snapd Client set_auth_data

since: 1.0

#### Declaration [src]

    void
    snapd_client_set_auth_data (
      SnapdClient* client,
      SnapdAuthData* auth_data
    )

#### Description [src]

Set the authorization data to use for requests. Authorization data can be obtained by:

- Logging into snapd using `snapd_client_login_sync()`

- Using an existing authorization with snapd_auth_data_new().

Available since: 1.0

#### Parameters

`auth_data`

  Type: `SnapdAuthData`

  A `SnapdAuthData` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.